Synq Docs
Management APIFiles

Get a file

Its state, and where it is read once ready. Needs `org.brands.view`.

GET/v1/orgs/{org}/brands/{brand}/files/{file}

Its state, and where it is read once ready. Needs org.brands.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
brand*string
file*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/orgs/string/brands/string/files/string"
{  "id": "string",  "purpose": "string",  "status": "string",  "visibility": "public",  "url": "string",  "content_type": "string",  "size": 0,  "width": 0,  "height": 0,  "sha256": "string",  "rejected_reason": "string",  "declared_type": "string",  "declared_size": 0,  "expires_at": "string",  "created_at": "string",  "ready_at": "string"}